AnsweredAssumed Answered

PPPoE

Question asked by Unai Gonzalez on May 26, 2015
Latest reply on Jul 24, 2015 by Egoitz Arruti

I have tryed to install ppp on my imx.28 board, I used LTIB, and i select

ppp on the package adder of the interface, it actually install, and when i try

to execute ppp on the board, it seems like the module of ppp is not

instaled, so it cant run.

 

 

I also enter to the kernel configuration, and enable ppp and his modules, and then, i create the configuration files at /etc/ppp/peers/dsl-provider:

 

 

# Minimalistic default options file for DSL/PPPoE connections

 

 

noipdefault

defaultroute

hide-password

#lcp-echo-interval 30

#lcp-echo-failure 4

noauth

persist

#mtu 1492

#persist

#maxfail 0

#holdoff 20

plugin rp-pppoe.so eth0

usepeerdns

user "adslppp@telefonicanetpa"

 

 

but when i use:

         $ pppd call dsl-provider

this error appear:

         Linux kernel does not support PPPoE -- are you running 2.4.x?

Outcomes